ALTER TABLE Tutor ADD COLUMN webPassword VARCHAR(16)
CREATE INDEX Tutor_webpassword on Tutor(webPassword)

ALTER TABLE Report ADD COLUMN compiledReport BLOB
ALTER TABLE Certificate ADD COLUMN studentFirstName VARCHAR(100)
ALTER TABLE Certificate ADD COLUMN studentLastName VARCHAR(100)
ALTER TABLE Certificate ADD COLUMN publicNotes VARCHAR(1000)
ALTER TABLE Certificate ADD COLUMN privateNotes VARCHAR(1000)
ALTER TABLE Certificate ADD COLUMN revokedOn TIMESTAMP

CREATE INDEX Certificate_studentFirstName on Certificate(studentFirstName)
CREATE INDEX Certificate_studentLastName on Certificate(studentLastName)
CREATE INDEX Certificate_revokedOn on Certificate(revokedOn)

ALTER TABLE CourseClass ADD COLUMN message VARCHAR(500)
CREATE INDEX CourseClass_message on CourseClass(message)

ALTER TABLE Site ADD COLUMN longitude DECIMAL(11,8)
ALTER TABLE Site ADD COLUMN latitude DECIMAL(11,8)
