# add support for mailing lists
CREATE TABLE MailingList (name VARCHAR(128), createdOn TIMESTAMP, modifiedOn TIMESTAMP, autoAddOnEnrolment SMALLINT, autoAddPurgeAfter INTEGER, id BIGINT NOT NULL, PRIMARY KEY (id))

CREATE TABLE MailingList_Contact (contactId BIGINT NOT NULL, mailingListId BIGINT NOT NULL, createdON TIMESTAMP, modifiedOn TIMESTAMP, addType SMALLINT, PRIMARY KEY (contactId, mailingListId))

ALTER TABLE MailingList_Contact ADD CONSTRAINT MailingList_Contact_contactId FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE MailingList_Contact ADD CONSTRAINT MailingList_Contact_mailingListId FOREIGN KEY (mailingListId) REFERENCES MailingList (id)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('MailingList', 200)