CREATE TABLE ClassCost (createdbyUserID BIGINT,createdOn TIMESTAMP, courseClassId BIGINT,description VARCHAR (5000), id BIGINT NOT NULL, isFunding SMALLINT, isRefundableIfCancelled SMALLINT, maximumCost DECIMAL(10,2),minimumCost DECIMAL(10,2),modifiedOn TIMESTAMP, perUnitAmountExTax DECIMAL(10,2),taxId BIGINT,type INTEGER,PRIMARY KEY (id))

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ClassCost', 200)

ALTER TABLE CourseClass ADD COLUMN budgetedPlaces INTEGER

UPDATE Node SET nodetype=2 where nodetype is null

ALTER TABLE Contact ADD COLUMN deliveryStatusEmail INTEGER
ALTER TABLE Contact ADD COLUMN deliveryStatusSms INTEGER
ALTER TABLE Contact ADD COLUMN deliveryStatusPost INTEGER

UPDATE Contact SET deliveryStatusEmail=0 where deliveryStatusEmail is null
UPDATE Contact SET deliveryStatusSms=0 where deliveryStatusSms is null
UPDATE Contact SET deliveryStatusPost=0 where deliveryStatusPost is null

DROP TABLE MailingList_Contact
DROP TABLE MailingList

ALTER TABLE Message ADD COLUMN postDescription VARCHAR(1000)
ALTER TABLE Message ADD COLUMN createdByUserId BIGINT
ALTER TABLE Message ADD CONSTRAINT Message_SystemUser_fk FOREIGN KEY (createdByUserId) REFERENCES SystemUser (id)

ALTER TABLE Enrolment ADD COLUMN fundingSource INTEGER

ALTER TABLE PaymentOut ADD COLUMN willowId BIGINT
ALTER TABLE PaymentOut ADD COLUMN gatewayReference VARCHAR(40)