CREATE TABLE Report (createdOn DATETIME, data VARBINARY(MAX), entity VARCHAR(40), id BIGINT NOT NULL, isHidden SMALLINT, isVisible SMALLINT, keyCode VARCHAR(80), modifiedOn DATETIME, name VARCHAR (100), versionNumber INTEGER, PRIMARY KEY (id))

CREATE INDEX Report_entity on Report(entity)
CREATE INDEX Report_isHidden on Report(isHidden)
CREATE INDEX Report_isVisible on Report(isVisible)
CREATE INDEX Report_key on Report(keyCode)
CREATE INDEX Report_name on Report(name)
CREATE INDEX Report_versionNumber on Report(versionNumber)
