ALTER TABLE Tutor ADD webPassword VARCHAR(16)
CREATE INDEX Tutor_webpassword on Tutor(webPassword)

ALTER TABLE Report ADD compiledReport VARBINARY(MAX)
ALTER TABLE Certificate ADD studentFirstName VARCHAR(100)
ALTER TABLE Certificate ADD studentLastName VARCHAR(100)
ALTER TABLE Certificate ADD publicNotes VARCHAR(1000)
ALTER TABLE Certificate ADD privateNotes VARCHAR(1000)
ALTER TABLE Certificate ADD revokedOn DATETIME

CREATE INDEX Certificate_studentFirstName on Certificate(studentFirstName)
CREATE INDEX Certificate_studentLastName on Certificate(studentLastName)
CREATE INDEX Certificate_revokedOn on Certificate(revokedOn)

ALTER TABLE CourseClass ADD message VARCHAR(500)
CREATE INDEX CourseClass_message on CourseClass(message)

ALTER TABLE Site ADD longitude DECIMAL(11,8)
ALTER TABLE Site ADD latitude DECIMAL(11,8)
