CREATE TABLE ACLRole(id BIGINT, createdOn DATETIME, modifiedOn DATETIME, name VARCHAR(45) NOT NULL, PRIMARY KEY(id))
CREATE TABLE ACLAccessKey(id BIGINT, createdOn DATETIME, modifiedOn DATETIME, keycode INTEGER NOT NULL, mask SMALLINT NOT NULL, includesChildren SMALLINT, role_id BIGINT, PRIMARY KEY(id))

ALTER TABLE ACLAccessKey ADD CONSTRAINT ACLAccessKey_Role_fk FOREIGN KEY (role_id) REFERENCES ACLRole (id)

CREATE TABLE ACLRoleSystemUser(role_id BIGINT, user_id BIGINT, PRIMARY KEY(role_id, user_id))
ALTER TABLE ACLRoleSystemUser ADD CONSTRAINT ACLRoleSystemUser_role_fk FOREIGN KEY (role_id) REFERENCES ACLRole (id)
ALTER TABLE ACLRoleSystemUser ADD CONSTRAINT ACLRoleSystemUser_user_fk FOREIGN KEY (user_id) REFERENCES SystemUser (id)

ALTER TABLE SystemUser ADD isAdmin SMALLINT 

go

UPDATE SystemUser set isAdmin = 1

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ACLRole', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ACLAccessKey', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ACLRoleSystemUser', 200)