ALTER TABLE Outcome ADD isDeleted SMALLINT NULL
ALTER TABLE PaymentInLine ADD isDeleted SMALLINT NULL
ALTER TABLE PriorLearning ADD isDeleted SMALLINT NULL
ALTER TABLE SystemUser ADD isActive SMALLINT NULL

CREATE INDEX Outcome_isDeleted on Outcome(isDeleted)
CREATE INDEX PaymentInLine_isDeleted on PaymentInLine(isDeleted)
CREATE INDEX PriorLearning_isDeleted on PriorLearning(isDeleted)

go
UPDATE SystemUser SET isActive=1  WHERE id = 1