CREATE TABLE CustomFieldType (isMandatory SMALLINT, createdOn DATETIME, defaultValue TEXT, id BIGINT NOT NULL, modifiedOn DATETIME, name VARCHAR(100), PRIMARY KEY (id))

CREATE TABLE CustomField (foreignId BIGINT,createdOn DATETIME,customFieldTypeId BIGINT, id BIGINT NOT NULL,modifiedOn DATETIME, value TEXT, PRIMARY KEY (id))

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CustomFieldType', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CustomField', 200)

ALTER TABLE CustomField ADD CONSTRAINT CustomField_CustomFieldType_fk FOREIGN KEY (customFieldTypeId) REFERENCES CustomFieldType (id)
ALTER TABLE CustomField ADD CONSTRAINT CustomField_Contact_fk FOREIGN KEY (foreignId) REFERENCES Contact (id)
