CREATE TABLE ExportTemplate (createdOn DATETIME, data VARBINARY(MAX), entity VARCHAR(40), id BIGINT NOT NULL, keyCode VARCHAR(80), modifiedOn DATETIME, name VARCHAR (100), versionNumber INTEGER, PRIMARY KEY (id))

CREATE INDEX ExportTemplate_entity on ExportTemplate(entity)
CREATE INDEX ExportTemplate_key on ExportTemplate(keyCode)
CREATE INDEX ExportTemplate_name on ExportTemplate(name)
CREATE INDEX ExportTemplate_versionNumber on ExportTemplate(versionNumber)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ExportTemplate', 200)