CREATE TABLE CourseClassTraineeship (bookingId VARCHAR (100), contactId BIGINT, courseClassId BIGINT, employerContribution DECIMAL, finalExportId VARCHAR (100), fundingContribution DECIMAL, id BIGINT NOT NULL, initialExportId VARCHAR (100), midwayExportId VARCHAR (100), otherContribution DECIMAL, studentEnrolmentFee DECIMAL, supervisorId BIGINT, PRIMARY KEY (id))
GO 
ALTER TABLE CourseClassTraineeship ADD CONSTRAINT contactId FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE CourseClassTraineeship ADD CONSTRAINT courseClassId FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE CourseClassTraineeship ADD CONSTRAINT supervisorId FOREIGN KEY (supervisorId) REFERENCES Contact (id)
GO 
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CourseClassTraineeship', 200)

