DROP INDEX Payslip.Payslip_payPeriod
ALTER TABLE Payslip DROP CONSTRAINT fk_Payslip_payperiod
ALTER TABLE Payslip DROP COLUMN payPeriodId
DROP TABLE PayPeriod

#92
ALTER TABLE Payslip DROP COLUMN isLocked
ALTER TABLE Payslip ADD status INTEGER


#93
ALTER TABLE Attendance ADD attendedFrom DATETIME
ALTER TABLE Attendance ADD attendedUntil DATETIME
ALTER TABLE Attendance ADD note TEXT

#94
#
# task 2000. Index too long for mysql when name is VARCHAR(1000).
# and none of our prefs are named that long anyway.
# Im making the name not null too
#
# This was done in 84.sql for mysql.
#
DROP INDEX Preference.Preference_name
DROP INDEX Preference.Preference_name_user_U
DELETE FROM Preference WHERE name IS NULL
ALTER TABLE Preference ALTER COLUMN name VARCHAR(128) NOT NULL
CREATE INDEX Preference_name on Preference(name)
CREATE UNIQUE INDEX Preference_name_user_U ON Preference(name, userId)

#95
CREATE TABLE DefinedTutorRole (description VARCHAR(128), isDeleted SMALLINT NOT NULL, name VARCHAR(64) NOT NULL, id BIGINT NOT NULL, PRIMARY KEY (id))

#96
ALTER TABLE Attendance ADD durationMinutes INTEGER NULL

CREATE TABLE PayRate (description VARCHAR(128), createdOn DATETIME, definedTutorRoleId BIGINT NOT NULL, editedById BIGINT NOT NULL, rate DECIMAL(8,4) NOT NULL, id BIGINT NOT NULL, modifiedOn DATETIME, validFrom DATETIME, PRIMARY KEY (id)) 

#98
#MS SQL
ALTER TABLE SessionCourseClassTutor ADD durationMinutes INTEGER 
ALTER TABLE SessionCourseClassTutor ADD approvedByUserId BIGINT
ALTER TABLE SessionCourseClassTutor ADD approved SMALLINT 
ALTER TABLE SessionCourseClassTutor ADD attendanceType INTEGER 
ALTER TABLE SessionCourseClassTutor ADD note TEXT 

#99
# duplicated in 114.sql
# ALTER TABLE DefinedTutorRole ADD currentPayRateId BIGINT 

#100
ALTER TABLE PayRate ADD type INTEGER NOT NULL DEFAULT 0
 
#101
ALTER TABLE CourseClassTutor ADD definedTutorRoleId BIGINT

#102
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (0, 'Tutor', 'Tutor', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (1, 'Lecturer', 'Lecturer', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (2, 'Supervisor', 'Supervisor', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (3, 'Coordinator', 'Coordinator', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (4, 'Demonstrator', 'Demonstrator', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (5, 'Helper', 'Helper', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (6, 'Technician', 'Technician', 0)

#Moving this to 93.sql
#UPDATE CourseClassTutor set definedTutorRoleId = type
#ALTER TABLE CourseClassTutor DROP COLUMN type

#103
ALTER TABLE ClassCost ADD unitCount DECIMAL(8,4)

#104
ALTER TABLE ClassCost ADD onCostRate DECIMAL(8,4)

#105
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('DefinedTutorRole', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PayRate', 200)

#106
# only relevant to MySQL=======

#107
ALTER TABLE PayLine ADD dateFor DATETIME

#108
ALTER TABLE SessionCourseClassTutor ADD markedByUserId BIGINT NULL

#109
ALTER TABLE PayLine ADD  budgetedQuantity DECIMAL(8,4)
ALTER TABLE PayLine ALTER COLUMN quantity DECIMAL(8,4)

