ALTER TABLE Payslip DROP FOREIGN KEY fk_Payslip_payperiod
ALTER TABLE Payslip DROP COLUMN payPeriodId
DROP TABLE PayPeriod

#92
ALTER TABLE Payslip DROP COLUMN isLocked
ALTER TABLE Payslip ADD COLUMN status INTEGER

#93
ALTER TABLE Attendance ADD COLUMN attendedFrom DATETIME
ALTER TABLE Attendance ADD COLUMN attendedUntil DATETIME
ALTER TABLE Attendance ADD COLUMN note TEXT(32000)

#94
#
# task 2000. Index too long for mysql when name is VARCHAR(1000).
# and none of our prefs are named that long anyway.
# I'm making the name not null too
#
# This was done in 84.sql for mysql.
#
#DELETE FROM Preference WHERE name IS NULL
#ALTER TABLE Preference MODIFY name VARCHAR(128) NOT NULL

#95
CREATE TABLE DefinedTutorRole (description VARCHAR(128), isDeleted SMALLINT NOT NULL, name VARCHAR(64) NOT NULL, id BIGINT NOT NULL, PRIMARY KEY (id))

#96
ALTER TABLE Attendance ADD COLUMN durationMinutes INTEGER 


CREATE TABLE PayRate (description VARCHAR(128), createdOn TIMESTAMP, definedTutorRoleId BIGINT NOT NULL, editedById BIGINT NOT NULL, rate DECIMAL(8,4) NOT NULL, id BIGINT NOT NULL, modifiedOn TIMESTAMP, validFrom TIMESTAMP, PRIMARY KEY (id)) 

#98
#MySQL
ALTER TABLE SessionCourseClassTutor ADD COLUMN durationMinutes INTEGER 
ALTER TABLE SessionCourseClassTutor ADD COLUMN approvedByUserId BIGINT
ALTER TABLE SessionCourseClassTutor ADD COLUMN approved SMALLINT 
ALTER TABLE SessionCourseClassTutor ADD COLUMN attendanceType INTEGER 
ALTER TABLE SessionCourseClassTutor ADD COLUMN note TEXT(32000) 

#99
# duplicated in 114.sql
# ALTER TABLE DefinedTutorRole ADD COLUMN currentPayRateId BIGINT 

#100
ALTER TABLE PayRate ADD COLUMN type INTEGER NOT NULL DEFAULT 0

 
#101
ALTER TABLE CourseClassTutor ADD COLUMN definedTutorRoleId BIGINT

#102
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (0, 'Tutor', 'Tutor', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (1, 'Lecturer', 'Lecturer', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (2, 'Supervisor', 'Supervisor', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (3, 'Coordinator', 'Coordinator', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (4, 'Demonstrator', 'Demonstrator', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (5, 'Helper', 'Helper', 0)
INSERT INTO DefinedTutorRole (id, description, name, isDeleted) VALUES (6, 'Technician', 'Technician', 0)

UPDATE CourseClassTutor set definedTutorRoleId = type

ALTER TABLE CourseClassTutor DROP COLUMN type

#103
ALTER TABLE ClassCost ADD COLUMN unitCount DECIMAL(8,4)

#104
ALTER TABLE ClassCost ADD COLUMN onCostRate DECIMAL(8,4)

#105
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('DefinedTutorRole', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PayRate', 200)

#106
ALTER TABLE  BinaryData CHANGE  content  content MEDIUMBLOB NOT NULL

#107
ALTER TABLE PayLine ADD COLUMN dateFor DATETIME

#108
ALTER TABLE SessionCourseClassTutor ADD COLUMN markedByUserId BIGINT

#109
ALTER TABLE PayLine ADD COLUMN budgetedQuantity DECIMAL(8,4)
ALTER TABLE PayLine MODIFY COLUMN quantity DECIMAL(8,4)
