<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>Discount</ish:entity>
	<ish:version>0</ish:version>
	<ish:keyCode>ish.onCourse.discountCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>name,code,modifiedOn,createdOn,canBeCombined,discountPercent,discountMax,discountMin,discountDollar,rounding,publicDescription,validFrom,validTo,combinationType,studentAge,studentConcessionObsolete,studentEnrolledWithinDays,studentPostcode&#xa;</xsl:text>
<xsl:for-each select="discount">
		<xsl:text>"</xsl:text>
		<xsl:value-of select="name"/><xsl:text>","</xsl:text>
        <xsl:value-of select="code"/><xsl:text>","</xsl:text>

		<xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="code"/><xsl:text>","</xsl:text>
        <xsl:value-of select="canBeCombined"/><xsl:text>","</xsl:text>
        <xsl:value-of select="discountPercent"/><xsl:text>","</xsl:text>
        <xsl:value-of select="discountMax"/><xsl:text>","</xsl:text>
        <xsl:value-of select="discountMin"/><xsl:text>","</xsl:text>
		<xsl:value-of select="discountDollar"/><xsl:text>","</xsl:text>			

        <xsl:value-of select="rounding"/><xsl:text>","</xsl:text>
        <xsl:value-of select="publicDescription"/><xsl:text>","</xsl:text>
		<xsl:value-of select="validFrom"/><xsl:text>","</xsl:text>
		<xsl:value-of select="validTo"/><xsl:text>","</xsl:text>	

	    <xsl:value-of select="combinationType"/><xsl:text>","</xsl:text>
		<xsl:value-of select="studentAge"/><xsl:text>","</xsl:text>
        <xsl:value-of select="studentConcessionObsolete"/><xsl:text>","</xsl:text>
		<xsl:value-of select="studentEnrolledWithinDays"/><xsl:text>","</xsl:text>		
		<xsl:value-of select="studentPostcode"/><xsl:text>"&#xa;</xsl:text>	

</xsl:for-each>
</xsl:template>

</xsl:stylesheet>