<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>Qualification</ish:entity>
	<ish:version>0</ish:version>
	<ish:keyCode>ish.onCourse.qualificationCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>title,nationalCode,modifiedOn,createdOn,isAccreditedCourse,level,nominalHours,reviewDate,anzsco,fieldOfEducation,isOffered,newApprenticeship&#xa;</xsl:text>
<xsl:for-each select="qualification">
		<xsl:text>"</xsl:text>
        <xsl:value-of select="title"/><xsl:text>","</xsl:text>
        <xsl:value-of select="nationalCode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="isAccreditedCourse"/><xsl:text>","</xsl:text>
        <xsl:value-of select="level"/><xsl:text>","</xsl:text>
        <xsl:value-of select="nominalHours"/><xsl:text>","</xsl:text>
        <xsl:value-of select="reviewDate"/><xsl:text>","</xsl:text>
		<xsl:value-of select="anzsco"/><xsl:text>","</xsl:text>
        <xsl:value-of select="fieldOfEducation"/><xsl:text>","</xsl:text>
		<xsl:value-of select="isOffered"/><xsl:text>","</xsl:text>
		<xsl:value-of select="newApprenticeship"/><xsl:text>"&#xa;</xsl:text>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>