# ensure that NodeRelation (entityIdentifier, nodeId, entityRecordId) are not nillable
DELETE FROM NodeRelation where entityIdentifier IS NULL OR nodeId IS NULL OR entityRecordId IS NULL

# dump tempEntityRecordId
#ALTER TABLE NodeRelation DROP COLUMN tempEntityRecordId

# add not nillable constraints to NodeRelation's join columns
ALTER TABLE NodeRelation ALTER COLUMN entityIdentifier NOT NULL
ALTER TABLE NodeRelation ALTER COLUMN entityRecordId NOT NULL
ALTER TABLE NodeRelation ALTER COLUMN nodeId NOT NULL