CREATE TABLE Report (createdOn TIMESTAMP, data BLOB, entity VARCHAR(40), id INTEGER NOT NULL, isHidden SMALLINT, isVisible SMALLINT, keyCode VARCHAR(80), modifiedOn TIMESTAMP, name VARCHAR (100), versionNumber INTEGER, PRIMARY KEY (id))

CREATE INDEX Report_entity on Report(entity)
CREATE INDEX Report_isHidden on Report(isHidden)
CREATE INDEX Report_isVisible on Report(isVisible)
CREATE INDEX Report_key on Report(keyCode)
CREATE INDEX Report_name on Report(name)
CREATE INDEX Report_versionNumber on Report(versionNumber)
