CREATE TABLE CustomFieldType (isMandatory SMALLINT,createdOn TIMESTAMP, defaultValue VARCHAR (32000), id BIGINT NOT NULL, modifiedOn TIMESTAMP, name VARCHAR(100), PRIMARY KEY (id))

CREATE TABLE CustomField (foreignId BIGINT,createdOn TIMESTAMP,customFieldTypeId BIGINT, id BIGINT NOT NULL,modifiedOn TIMESTAMP, value VARCHAR(32000), PRIMARY KEY (id))

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CustomFieldType', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CustomField', 200)

ALTER TABLE CustomField ADD CONSTRAINT CustomField_CustomFieldType_fk FOREIGN KEY (customFieldTypeId) REFERENCES CustomFieldType (id)
ALTER TABLE CustomField ADD CONSTRAINT CustomField_Contact_fk FOREIGN KEY (foreignId) REFERENCES Contact (id)
