ALTER TABLE Site ADD COLUMN isAdministrationCentre INTEGER

ALTER TABLE PaymentIn ADD COLUMN administrationCentreId BIGINT
ALTER TABLE PaymentOut ADD COLUMN administrationCentreId BIGINT
ALTER TABLE SystemUser ADD COLUMN defaultAdministrationCentreId BIGINT

ALTER TABLE PaymentIn ADD CONSTRAINT paymentIn_administrationCentre_fk Foreign Key (administrationCentreId) REFERENCES Site (id)
ALTER TABLE PaymentOut ADD CONSTRAINT paymentOut_administrationCentre_fk Foreign Key (administrationCentreId) REFERENCES Site (id)
ALTER TABLE SystemUser ADD CONSTRAINT systemUser_administrationCentre_fk Foreign Key (defaultAdministrationCentreId) REFERENCES Site (id)
