CREATE TABLE ClassCost (createdbyUserID BIGINT,createdOn DATETIME, courseClassId BIGINT,description TEXT, id BIGINT NOT NULL, isFunding SMALLINT, isRefundableIfCancelled SMALLINT, maximumCost DECIMAL(10,2),minimumCost DECIMAL(10,2),modifiedOn DATETIME, perUnitAmountExTax DECIMAL(10,2),taxId BIGINT,type INTEGER,PRIMARY KEY (id))

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ClassCost', 200)

ALTER TABLE CourseClass ADD budgetedPlaces INTEGER

UPDATE Node SET nodetype=2 where nodetype is null

ALTER TABLE Contact ADD deliveryStatusEmail INTEGER
ALTER TABLE Contact ADD deliveryStatusSms INTEGER
ALTER TABLE Contact ADD deliveryStatusPost INTEGER

go

UPDATE Contact SET deliveryStatusEmail=0 where deliveryStatusEmail is null
UPDATE Contact SET deliveryStatusSms=0 where deliveryStatusSms is null
UPDATE Contact SET deliveryStatusPost=0 where deliveryStatusPost is null

DROP TABLE MailingList_Contact
DROP TABLE MailingList

ALTER TABLE Message ADD postDescription VARCHAR(1000)
ALTER TABLE Message ADD createdByUserId BIGINT
ALTER TABLE Message ADD CONSTRAINT Message_SystemUser_fk FOREIGN KEY (createdByUserId) REFERENCES SystemUser (id)

ALTER TABLE Enrolment ADD fundingSource INTEGER

ALTER TABLE PaymentOut ADD willowId BIGINT
ALTER TABLE PaymentOut ADD gatewayReference VARCHAR(40)