ALTER TABLE Site ADD isAdministrationCentre INTEGER NULL

ALTER TABLE PaymentIn ADD administrationCentreId BIGINT NULL
ALTER TABLE PaymentOut ADD administrationCentreId BIGINT NULL
ALTER TABLE SystemUser ADD defaultAdministrationCentreId BIGINT NULL

ALTER TABLE PaymentIn ADD CONSTRAINT paymentIn_administrationCentre_fk Foreign Key (administrationCentreId) REFERENCES Site (id)
ALTER TABLE PaymentOut ADD CONSTRAINT paymentOut_administrationCentre_fk Foreign Key (administrationCentreId) REFERENCES Site (id)
ALTER TABLE SystemUser ADD CONSTRAINT systemUser_administrationCentre_fk Foreign Key (defaultAdministrationCentreId) REFERENCES Site (id)
