DROP TABLE Discount_Product
GO 
DROP TABLE Discount_MembershipProduct
GO 
CREATE TABLE Discount_Membership (applyToMemberOnly SMALLINT, createdOn DATETIME, discountId BIGINT, id BIGINT NOT NULL, membershipProductId BIGINT, modifiedOn DATETIME, willowId BIGINT, PRIMARY KEY (id))
GO 
CREATE TABLE Discount_Membership_RelationType (contactRelationTypeId BIGINT, createdOn DATETIME, id BIGINT NOT NULL, membershipDiscountId BIGINT, modifiedOn DATETIME, willowId BIGINT, PRIMARY KEY (id))
GO 
ALTER TABLE Discount_Membership ADD CONSTRAINT discountId FOREIGN KEY (discountId) REFERENCES Discount (id)
GO 
ALTER TABLE Discount_Membership ADD CONSTRAINT membershipProductId FOREIGN KEY (membershipProductId) REFERENCES Product (id)
GO 
ALTER TABLE Discount_Membership_RelationType ADD CONSTRAINT contactRelationTypeId FOREIGN KEY (contactRelationTypeId) REFERENCES ContactRelationType (id)
GO 
ALTER TABLE Discount_Membership_RelationType ADD CONSTRAINT membershipDiscountId FOREIGN KEY (membershipDiscountId) REFERENCES Discount_Membership (id)
GO 
DELETE FROM AUTO_PK_SUPPORT WHERE TABLE_NAME IN ('Discount_Membership', 'Discount_Membership_RelationType')
GO 
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount_Membership', 200)
GO 
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount_Membership_RelationType', 200)
GO 
ALTER TABLE Discount ADD  appliesAutomatically SMALLINT
GO 
ALTER TABLE Discount ADD  type SMALLINT
GO 
UPDATE Discount SET type = 1 WHERE discountPercent > 0
