# ensure that NodeRelation (entityIdentifier, nodeId, entityRecordId) are not nillable
DELETE FROM NodeRelation where entityIdentifier IS NULL OR nodeId IS NULL OR entityRecordId IS NULL

# dump tempEntityRecordId
ALTER TABLE NodeRelation DROP COLUMN tempEntityRecordId

# add not nullable constraints to NodeRelation's join columns
ALTER TABLE NodeRelation MODIFY COLUMN entityIdentifier SMALLINT NOT NULL
ALTER TABLE NodeRelation MODIFY COLUMN entityRecordId BIGINT NOT NULL
ALTER TABLE NodeRelation MODIFY COLUMN nodeId BIGINT NOT NULL