ALTER TABLE Outcome ADD COLUMN isDeleted SMALLINT
ALTER TABLE PaymentInLine ADD COLUMN isDeleted SMALLINT
ALTER TABLE PriorLearning ADD COLUMN isDeleted SMALLINT
ALTER TABLE SystemUser ADD COLUMN isActive SMALLINT

CREATE INDEX Outcome_isDeleted on Outcome(isDeleted)
CREATE INDEX PaymentInLine_isDeleted on PaymentInLine(isDeleted)
CREATE INDEX PriorLearning_isDeleted on PriorLearning(isDeleted)

UPDATE SystemUser SET isActive=1  WHERE id = 1