CREATE TABLE Attendance ( angelId BIGINT , attendanceType INTEGER NOT NULL, created DATETIME , id BIGINT NOT NULL, markerID BIGINT , modified DATETIME , isDeleted SMALLINT, willowID BIGINT, sessionID BIGINT NOT NULL, studentID BIGINT NOT NULL, PRIMARY KEY (id) )

ALTER TABLE Attendance ADD CONSTRAINT Attendance_Session_fk FOREIGN KEY (sessionID) REFERENCES CourseSession (id)
ALTER TABLE Attendance ADD CONSTRAINT Attendance_Student_fk FOREIGN KEY (studentID) REFERENCES Student (id)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Attendance', 1000)
ALTER TABLE Attendance add constraint session_student_unique UNIQUE(sessionID, studentID)
