CREATE TABLE ConcessionType ( hasConcessionNumber INTEGER, hasExpiryDate INTEGER, id BIGINT NOT NULL, isConcession INTEGER, isEnabled INTEGER, name varchar(200), requiresCredentialCheck INTEGER, willowId BIGINT, PRIMARY KEY (id))

INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (0, 'No concession', 0, 1)
INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (1, 'Seniors card', 1, 1)
INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (2, 'Student', 1, 1)
INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (3, 'Pensioner', 1, 1)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ConcessionType', 100)
