CREATE TABLE CourseClassTraineeship (bookingId TEXT (100), contactId BIGINT, courseClassId BIGINT, employerContribution DECIMAL, finalExportId TEXT (100), fundingContribution DECIMAL, id BIGINT NOT NULL, initialExportId TEXT (100), midwayExportId TEXT (100), otherContribution DECIMAL, studentEnrolmentFee DECIMAL, supervisorId BIGINT, PRIMARY KEY (id))

ALTER TABLE CourseClassTraineeship ADD FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE CourseClassTraineeship ADD FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE CourseClassTraineeship ADD FOREIGN KEY (supervisorId) REFERENCES Contact (id)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CourseClassTraineeship', 200)

