DELETE FROM Outcome WHERE enrolmentId IN (SELECT e.id FROM Enrolment e, Student s WHERE s.isDeleted=1 AND e.studentId=s.id)
DELETE FROM InvoiceLine WHERE enrolmentId IN (SELECT e.id FROM Enrolment e, Student s WHERE s.isDeleted=1 AND e.studentId=s.id)
DELETE FROM Enrolment where studentId IN (SELECT id FROM Student WHERE isDeleted=1)

DELETE FROM ContactDuplicate WHERE contact2Id IN (SELECT id FROM Contact WHERE isDeleted = 1) OR contact1Id in (SELECT id FROM Contact WHERE isDeleted = 1)
DELETE FROM ContactRelation WHERE fromContactId IN (SELECT id FROM Contact WHERE isDeleted = 1) OR toContactId in (SELECT id FROM Contact WHERE isDeleted = 1)

DELETE FROM CustomField WHERE foreignId IN (SELECT id FROM Contact WHERE isDeleted =1)

DELETE FROM Message_Person WHERE contactId in  (SELECT id FROM Contact where isDeleted = 1)

DELETE FROM PaymentInLine WHERE paymentInId IN (SELECT p.id AS paymentInId FROM PaymentIn p, Contact c WHERE p.payerId = c.id AND c.isDeleted = 1)
DELETE FROM PaymentInLine WHERE invoiceid IN (SELECT i.id FROM Invoice i, Contact c WHERE i.contactid=c.id AND c.isDeleted=1)

DELETE FROM PaymentIn where payerId IN (SELECT id FROM Contact where isDeleted = 1)

DELETE FROM PaymentOutLine WHERE paymentOutId in (SELECT p.id AS paymentOutId FROM PaymentOut p, Contact c WHERE p.payeeId = c.id AND c.isDeleted = 1)
DELETE FROM PaymentOutLine WHERE invoiceid IN (SELECT i.id FROM Invoice i, Contact c WHERE i.contactid=c.id AND c.isDeleted=1)

DELETE FROM PaymentOut WHERE payeeId IN (SELECT id FROM Contact where isDeleted = 1)

DELETE FROM InvoiceLine WHERE invoiceId IN (SELECT i.id AS invoiceId FROM Invoice i, Contact c WHERE i.contactId = c.id AND c.isDeleted = 1)
DELETE FROM InvoiceLine_Discount WHERE invoiceLineId IN (SELECT il.id FROM Invoice i, Contact c, InvoiceLine il WHERE i.contactid=c.id AND il.invoiceid = i.id AND c.isDeleted=1)

DELETE FROM InvoiceLine WHERE invoiceId IN (SELECT i.id AS invoiceId FROM Invoice i, Contact c WHERE i.contactId = c.id AND c.isDeleted = 1)
DELETE FROM Invoice WHERE contactId in (SELECT id FROM Contact WHERE isDeleted = 1)

DELETE FROM CourseSession WHERE courseClass_id IN (SELECT id FROM CourseClass WHERE isDeleted=1)
DELETE FROM CourseClassTutor WHERE courseClassId IN (SELECT id FROM CourseClass WHERE isDeleted=1)
DELETE FROM Discount_CourseClass WHERE courseClassId IN (SELECT id FROM CourseClass WHERE isDeleted=1)
DELETE FROM Discount_ConcessionType WHERE discountId IN (SELECT id FROM Discount WHERE isDeleted=1)

DELETE FROM InvoiceLine_Discount WHERE discountId IN (SELECT id FROM Discount WHERE isDeleted=1)

DELETE FROM Discount_CourseClass WHERE courseClassId IN (SELECT id FROM CourseClass WHERE isDeleted=1)
DELETE FROM Discount_CourseClass WHERE courseClassId IN (SELECT cc.id FROM CourseClass cc, Course c WHERE c.isDeleted=1 AND cc.courseid=c.id)
DELETE FROM Discount_CourseClass WHERE discountId IN (SELECT id FROM Discount WHERE isDeleted=1)

DELETE FROM Discount_Membership_RelationType WHERE membershipDiscountId IN (SELECT m.id FROM Discount_Membership m, Discount d WHERE d.isDeleted=1 AND m.discountId = d.id)
DELETE FROM Discount_Membership WHERE discountId IN (SELECT id FROM Discount WHERE isDeleted=1)

DELETE FROM ClassCost WHERE contactid IN (SELECT id FROM Contact WHERE isDeleted=1)
DELETE FROM ClassCost WHERE courseClassId IN (SELECT id FROM CourseClass WHERE isDeleted = 1)

DELETE FROM Module_Course WHERE courseId IN (SELECT id FROM Course WHERE isDeleted=1)
DELETE FROM Subcategory_Course WHERE courseId IN (SELECT id FROM Course WHERE isDeleted=1)
DELETE FROM WaitingList WHERE courseId IN (SELECT id FROM Course WHERE isDeleted=1)
DELETE FROM BinaryRelation WHERE entityIdentifier LIKE 'Course' AND entityRecordId IN (SELECT id FROM Course WHERE isDeleted=1)
DELETE FROM NodeRelation WHERE entityIdentifier = 1 AND entityRecordId IN (SELECT id FROM Course WHERE isDeleted=1)

UPDATE Node AS n1 JOIN Node AS n2 ON n1.parentid=n2.id SET n1.parentid=NULL WHERE n2.isDeleted=1

DELETE FROM Attendance WHERE isDeleted=1
ALTER TABLE Attendance DROP COLUMN isDeleted

DELETE FROM BinaryData WHERE isDeleted=1
ALTER TABLE BinaryData DROP COLUMN isDeleted

DELETE FROM BinaryRelation WHERE isDeleted=1
ALTER TABLE BinaryRelation DROP COLUMN isDeleted

DELETE FROM BinaryInfo WHERE isDeleted=1
ALTER TABLE BinaryInfo DROP COLUMN isDeleted

DELETE FROM Category WHERE isDeleted=1
ALTER TABLE Category DROP COLUMN isDeleted

DELETE FROM Attendance WHERE studentId IN (SELECT id FROM Student WHERE isDeleted = 1)
DELETE FROM Attendance WHERE sessionId IN (SELECT id FROM CourseSession WHERE isDeleted=1)

DELETE FROM StudentConcession WHERE studentId IN (SELECT id FROM Student WHERE isDeleted=1)
DELETE FROM StudentConcession WHERE isDeleted=1
ALTER TABLE StudentConcession DROP COLUMN isDeleted

DELETE FROM Enrolment WHERE isDeleted=1
DELETE FROM Enrolment WHERE courseClass_id in (SELECT id from CourseClass WHERE isDeleted=1)
ALTER TABLE Enrolment DROP COLUMN isDeleted

DELETE FROM CourseClass WHERE courseid IN (SELECT id FROM Course WHERE isDeleted=1)
DELETE FROM CourseClass WHERE isDeleted=1
ALTER TABLE CourseClass DROP COLUMN isDeleted

DELETE FROM Student WHERE isDeleted=1
ALTER TABLE Student DROP COLUMN isDeleted

DELETE FROM Tutor WHERE isDeleted=1
ALTER TABLE Tutor DROP COLUMN isDeleted

DELETE FROM Contact WHERE isDeleted=1
ALTER TABLE Contact DROP COLUMN isDeleted

DELETE FROM CourseSession WHERE isDeleted=1
ALTER TABLE CourseSession DROP COLUMN isDeleted

DELETE FROM Course WHERE isDeleted=1
ALTER TABLE Course DROP COLUMN isDeleted

DELETE FROM DefinedTutorRole WHERE isDeleted=1
ALTER TABLE DefinedTutorRole DROP COLUMN isDeleted

DELETE FROM Discount WHERE isDeleted=1
ALTER TABLE Discount DROP COLUMN isDeleted

DELETE FROM Message WHERE isDeleted=1
ALTER TABLE Message DROP COLUMN isDeleted

DELETE FROM Message_Person WHERE isDeleted=1
ALTER TABLE Message_Person DROP COLUMN isDeleted

DELETE FROM MessageTemplate WHERE isDeleted=1
ALTER TABLE MessageTemplate DROP COLUMN isDeleted

DELETE FROM NodeRequirement WHERE isDeleted=1
ALTER TABLE NodeRequirement DROP COLUMN isDeleted

DELETE FROM Node WHERE isDeleted=1
ALTER TABLE Node DROP COLUMN isDeleted

DELETE FROM Outcome WHERE isDeleted=1
ALTER TABLE Outcome DROP COLUMN isDeleted

DELETE FROM PaymentIn WHERE isDeleted=1
ALTER TABLE PaymentIn DROP COLUMN isDeleted

DELETE FROM PaymentInLine WHERE isDeleted=1
ALTER TABLE PaymentInLine DROP COLUMN isDeleted

DELETE FROM PaymentOut WHERE isDeleted=1
ALTER TABLE PaymentOut DROP COLUMN isDeleted

DELETE FROM PaymentOutLine WHERE isDeleted=1
ALTER TABLE PaymentOutLine DROP COLUMN isDeleted

DELETE FROM Preference WHERE isDeleted=1
ALTER TABLE Preference DROP COLUMN isDeleted

DELETE FROM PriorLearning WHERE isDeleted=1
ALTER TABLE PriorLearning DROP COLUMN isDeleted

DELETE FROM Product WHERE isDeleted=1
ALTER TABLE ProductItem DROP COLUMN isDeleted

UPDATE Site SET isDeleted=0, name=CONCAT(name, ' (Please delete)') WHERE isDeleted=1 AND isAdministrationCentre=1 

DELETE FROM Room WHERE isDeleted=1 or siteId IN (SELECT id FROM Site WHERE isDeleted=1)
ALTER TABLE Room DROP COLUMN isDeleted

DELETE FROM Site WHERE isDeleted=1
ALTER TABLE Site DROP COLUMN isDeleted

DELETE FROM SubCategory WHERE isDeleted=1
ALTER TABLE SubCategory DROP COLUMN isDeleted

DELETE FROM WaitingList WHERE isDeleted=1
ALTER TABLE WaitingList DROP COLUMN isDeleted