<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>Invoice</ish:entity>
	<ish:version>1</ish:version>
	<ish:keyCode>ish.onCourse.invoiceCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>modifiedOn,createdOn,amountOwing,billToAddress,dateDue,description,invoiceDate,invoiceNumber,privateNotes,publicNotes,shippingAddress,source&#xa;</xsl:text>
<xsl:for-each select="invoice">
		<xsl:text>"</xsl:text>
		<xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="amountOwing"/><xsl:text>","</xsl:text>
        <xsl:value-of select="billToAddress"/><xsl:text>","</xsl:text>
        <xsl:value-of select="dateDue"/><xsl:text>","</xsl:text>
        <xsl:value-of select="description"/><xsl:text>","</xsl:text>
        <xsl:value-of select="invoiceDate"/><xsl:text>","</xsl:text>
        <xsl:value-of select="invoiceNumber"/><xsl:text>","</xsl:text>
		<xsl:value-of select="privateNotes"/><xsl:text>","</xsl:text>
        <xsl:value-of select="publicNotes"/><xsl:text>","</xsl:text>
		<xsl:value-of select="shippingAddress"/><xsl:text>","</xsl:text>
		<xsl:value-of select="source"/><xsl:text>"&#xa;</xsl:text>	
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>