<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>Site</ish:entity>
	<ish:version>1</ish:version>
	<ish:keyCode>ish.onCourse.siteCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>name,isAdministrationCentre,latitude,longitude,postcode,state,street,suburb,createdOn,modifiedOn&#xa;</xsl:text>
<xsl:for-each select="site">
        <xsl:text>"</xsl:text><xsl:value-of select="name"/><xsl:text>","</xsl:text>
        <xsl:value-of select="isAdministrationCentre"/><xsl:text>","</xsl:text>
        <xsl:value-of select="latitude"/><xsl:text>","</xsl:text>
        <xsl:value-of select="longitude"/><xsl:text>","</xsl:text>
        <xsl:value-of select="postcode"/><xsl:text>","</xsl:text>
        <xsl:value-of select="state"/><xsl:text>","</xsl:text>
        <xsl:value-of select="street"/><xsl:text>","</xsl:text>
        <xsl:value-of select="suburb"/><xsl:text>","</xsl:text>
	<xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="modifiedOn"/><xsl:text>"&#xa;</xsl:text>		
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>




